Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Ctors | Methods | Protected Methods | Inherited Methods | [Expand All]
public abstract class

# FilteredDataBuffer

extends DataBuffer<T>

java.lang.Object
↳ | com.google.android.gms.common.data.DataBuffer<T>
| ↳ | com.google.android.gms.common.data.FilteredDataBuffer<T>

## Class Overview

Base class for filtered buffers of typed data. A `FilteredDataBuffer` wraps a `DataBuffer`.

Subclasses must implement `computeRealPosition(int)`. They must also implement `getCount()` if they change the number of items.

## Summary

Fields
protected final DataBuffer<T> | mDataBuffer |

Public Constructors
| FilteredDataBuffer(DataBuffer<T> dataBuffer)

Public Methods
void | close()
T | get(int position) Get the item at the specified position.
Bundle | getMetadata()
boolean | isClosed()

Protected Methods
abstract int | computeRealPosition(int position) Compute the real position after filtering.

[Expand] Inherited Methods

From class com.google.android.gms.common.data.DataBuffer

void | close()
int | describeContents()
abstract T | get(int position) Get the item at the specified position.
int | getCount()
boolean | isClosed()
Iterator<T> | iterator()

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface java.lang.Iterable

abstract Iterator<T> | iterator()

## Fields

#### protected final DataBuffer<T> mDataBuffer

## Public Constructors

#### public FilteredDataBuffer (DataBuffer<T> dataBuffer)

## Public Methods

#### public void close ()

#### public T get (int position)

Get the item at the specified position. Note that the objects returned from subsequent invocations of this method for the same position may not be identical objects, but will be equal in value. In other words:

`buffer.get(i) == buffer.get(i)` may return false.

`buffer.get(i).equals(buffer.get(i))` will return true.

##### Parameters

position | The position of the item to retrieve.

##### Returns

- the item at `position` in this buffer.

#### public Bundle getMetadata ()

##### Returns

- `Bundle` containing metadata for this object.

#### public boolean isClosed ()

## Protected Methods

#### protected abstract int computeRealPosition (int position)

Compute the real position after filtering.

Subclasses must override this method to implement their filtering.

##### Parameters

position | The position of the item to retrieve.

##### Returns

- The real position in the wrapped dataBuffer.